Контакты
Подписка
МЕНЮ
Контакты
Подписка

Эксперты: Изменение API приведет к некорректной работе расширений безопасности в Chrome

24/01/19

Google evilКак отметил эксперт, от нововведения пострадают не только uBlock Origin и uMatrix, но и другие инструменты для блокировки нежелательного контента.

По словам Google, решение поменять API продиктовано желанием обезопасить пользователей от предоставляемых блокировщикам чрезмерных разрешений. Однако всего две недели назад компания сообщила о намерении выпустить в июле 2019 года собственный блокировщик рекламы, встроенный в Chrome. Как считают многие, отказавшись от webRequest API, Google просто устраняет конкурентов.

Разработчики расширений из F-Secure, NoScript, Amnesty International, Ermes Cyber Security и других организаций также забили тревогу. Как оказалось, смена API отразится не только на инструментах для блокировки рекламы. Пострадает также антивирусное ПО, полагающееся на расширения, динамически блокирующие вредоносный трафик, считает старший инженер F-Secure Йоуни Корте (Jouni Korte).

По словам старшего технолога Amnesty International Клаудио Гварнери (Claudio Guarnieri), нововведение отрицательно скажется на всех расширениях для Chrome, связанных с обеспечением безопасности. «Я считаю, из-за изменений многочисленные расширения безопасности перестанут корректно работать», - отметил Гварнери.

 

Темы:GoogleОтрасль

Еще темы...